Create a workflow action

Creates a workflow action linked to an existing workflow. The action payload must match the selected action type. Requires the WORKFLOW_ACTION.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
workflow_idstringRequired
Workflow that owns this action.
typeenumRequired
Action type that selects the matching action configuration.
Allowed values:
statusenumRequired
Status of the action.
Allowed values:
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
Description of what this action does.
send_email_to_customerobjectOptional
Email action configuration used to send an email to the customer.

Response

Created
workflow_idstring
Workflow that owns this action.
typeenum
Action type that selects the matching action configuration.
Allowed values:
statusenum
Status of the action.
Allowed values:
object_typestring or nullRead-only
idstring or nullRead-only
descriptionstring or nullformat: "^.*$"0-256 characters
Description of what this action does.
created_atstring or nullRead-only
Date time when the action was created.
updated_atstring or nullRead-only
Date time when the action was last updated.
send_email_to_customerobject
Email action configuration used to send an email to the customer.

Errors

401
Unauthorized Error
403
Forbidden Error